Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

A big difference between 6.0 and 6.1 is the chaining, which did not exist in the old versions as it supported PHP 5.3 in the "good old (horrible) times". Almost everything in netcurl 6.1 is chained. There are however limits in different kind of places with makes requests with the obsolete PHP versions impossible. All autotests are running with PHP 5.6 or higher. PHP 5.4 does not work with autotests anymore, but could still be compatible in rare cases (I really don't know). All wrappers are based on same requests, so regardless if you use the curlWrapper directly or the generic netWrapper, the outcome will be much the same.

Table of contents

Table of Contents

getParsed(), getBody(), getHeader(), getCode()

...